import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.util.regex.Pattern;

import com.wx.application.nebula.graph.bean.NebulaTag;
import com.wx.application.util.JSONUtils;
import com.wx.application.util.UUIDGenerator;

import cn.hutool.core.util.ReUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.json.JSONUtil;

public class StringTest {

	public static void main(String[] args) throws UnsupportedEncodingException {
		
		/*NebulaTag e = new NebulaTag();
		e.setOntologyId(2L);
		e.setName("张剑");
		String a = StrUtil.format("{}={}", "rrr", JSONUtils.c(JSONUtil.toJsonStr(e)));
		
		StringBuffer sb = new StringBuffer();
		
		sb.append("\"").append(JSONUtils.c(JSONUtil.toJsonStr(e))).append("\"");
		
		System.out.println(a);
		System.out.println(sb.toString());*/

		/*String a = UUIDGenerator.getUUID();
		System.out.println(a);*/
		
		/*final Pattern pattern = Pattern.compile("(\\d+)_", Pattern.DOTALL);
		
		String replaceAll = ReUtil.replaceFirst(pattern, "11_1570242142998245408","1_");
		System.out.println(replaceAll);*/
		
		int distance = 5;
		int min = -1;
		int max = 1;

		for(int i=0;i<100;i++) {
			System.out.println(Math.random() * (max - min) + min);
		}
		
		
	}

}
